#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QSerialPort>
#include <QSerialPortInfo>
#include <QMessageBox>
#include <QDebug>
#include <stdio.h>
#include <QLineEdit>
#include <QByteArray>
#include <QTimer>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    static int serial_ready;
    ~MainWindow();

private slots:
    void on_openSerBut_clicked();
    void serialPortReadyRead();

    void on_openMotorBut_clicked();

    void on_setSpeedBut_clicked();

    void on_cleanBut_clicked();

    void onTimeOut();

private:
    Ui::MainWindow *ui;
    QSerialPort *serialPort;
    quint16 CalcCRC16(quint8 *SC_Buffer, quint8 SC_Amount);//生成校验码
    void read_speed();
    QTimer *tim;

};

#endif // MAINWINDOW_H
